Thanks Dana. Trying with that route, but I am having more issues as I
am stuck with python 2.4, and the Python API appears to be only built
for > 2.5...


On Mar 29, 10:21 am, "Dana Lacoste" <dlaco...@aperio.com> wrote:
> If you go tohttp://www.perforce.com/perforce/loadsupp.html
> You can access the Perforce supported/official/not buggy version of the 
> P4Python modules.
>
> It's very very easy to install, but it does require manual steps.  I've never 
> had it fail, though.  And there's a Windows installer for the Python 2.6 
> version if that's what platform you're using.
>
> http://www.perforce.com/perforce/doc.current/user/p4pythonnotes.txthas more 
> info.
>
> Dana Lacoste
>
> -----Original Message-----
> From: reviewboard@googlegroups.com [mailto:reviewbo...@googlegroups.com] On 
> Behalf Of Daniel
> Sent: Monday, March 29, 2010 10:07 AM
> To: reviewboard
> Subject: Re: easy_installP4PythonInstallerfailure
>
> A month after, I am still seeing the issue.
>
> # easy_install -vP4PythonInstaller
> Searching forP4PythonInstaller
> Readinghttp://pypi.python.org/simple/P4PythonInstaller/
> Readinghttp://www.review-board.org/
> Found 
> link:http://reviewboard.googlecode.com/svn/trunk/P4PythonInstaller#egg=P4P...
> Found 
> link:http://reviewboard.googlecode.com/svn/trunk/P4PythonInstaller#egg=P4P...
> Best match:P4PythonInstaller0.2
> Downloadinghttp://reviewboard.googlecode.com/svn/trunk/P4PythonInstaller#egg=P4P...
> Doing subversion checkout 
> fromhttp://reviewboard.googlecode.com/svn/trunk/P4PythonInstaller
> to /tmp/easy_install-8Voqi4/P4PythonInstaller
> ProcessingP4PythonInstaller
> Running setup.py bdist_egg --dist-dir 
> /tmp/easy_install-8Voqi4/P4PythonInstaller/egg-dist-tmp-YnND7I
> Traceback (most recent call last):
>   File "/usr/bin/easy_install", line 7, in ?
>     sys.exit(
>   File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/
> setuptools/command/easy_install.py", line 1712, in main
>     with_ei_usage(lambda:
>   File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/
> setuptools/command/easy_install.py", line 1700, in with_ei_usage
>     return f()
>   File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/
> setuptools/command/easy_install.py", line 1716, in <lambda>
>     distclass=DistributionWithoutHelpCommands, **kw
>   File "/usr/lib/python2.4/distutils/core.py", line 149, in setup
>     dist.run_commands()
>   File "/usr/lib/python2.4/distutils/dist.py", line 946, in
> run_commands
>     self.run_command(cmd)
>   File "/usr/lib/python2.4/distutils/dist.py", line 966, in
> run_command
>     cmd_obj.run()
>   File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/
> setuptools/command/easy_install.py", line 211, in run
>     self.easy_install(spec, not self.no_deps)
>   File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/
> setuptools/command/easy_install.py", line 446, in easy_install
>     return self.install_item(spec, dist.location, tmpdir, deps)
>   File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/
> setuptools/command/easy_install.py", line 476, in install_item
>     dists = self.install_eggs(spec, download, tmpdir)
>   File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/
> setuptools/command/easy_install.py", line 655, in install_eggs
>     return self.build_and_install(setup_script, setup_base)
>   File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/
> setuptools/command/easy_install.py", line 930, in build_and_install
>     self.run_setup(setup_script, setup_base, args)
>   File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/
> setuptools/command/easy_install.py", line 919, in run_setup
>     run_setup(setup_script, args)
>   File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/
> setuptools/sandbox.py", line 61, in run_setup
>     DirectorySandbox(setup_dir).run(
>   File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/
> setuptools/sandbox.py", line 105, in run
>     return func()
>   File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/
> setuptools/sandbox.py", line 64, in <lambda>
>     {'__file__':setup_script, '__name__':'__main__'}
>   File "setup.py", line 176, in ?
>
>   File "setup.py", line 144, in main
>
>   File "setup.py", line 25, in download
>     sys.argv.remove("--debug")
>   File "/usr/lib/python2.4/ftplib.py", line 107, in __init__
>     self.connect(host)
>   File "/usr/lib/python2.4/ftplib.py", line 129, in connect
>     raise socket.error, msg
> socket.error: (113, 'No route to host')
> sh-3.2# easy_install -U setuptools
> Searching for setuptools
> Readinghttp://pypi.python.org/simple/setuptools/
> Best match: setuptools 0.6c11
> Processing setuptools-0.6c11-py2.4.egg
> setuptools 0.6c11 is already the active version in easy-install.pth
> Installing easy_install script to /usr/bin
> Installing easy_install-2.4 script to /usr/bin
>
> Using /usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg
> Processing dependencies for setuptools
> Finished processing dependencies for setuptools
> #
>
> Is there an alternative way to install it?
>
> Thanks,
> Daniel
>
> On Mar 3, 6:24 pm, Christian Hammond <chip...@chipx86.com> wrote:
> > Looks like a temporary network issue. I can connect to that SVN server just
> > fine. Maybe try it again, or check your network setup?
>
> > Christian
>
> > --
> > Christian Hammond - chip...@chipx86.com
> > Review Board -http://www.reviewboard.org
> > VMware, Inc. -http://www.vmware.com
>
> > On Wed, Mar 3, 2010 at 5:21 PM, Daniel <dyoon....@gmail.com> wrote:
> > > Trying to install reviewboard.
>
> > > # easy_install -vP4PythonInstaller
> > > Searching forP4PythonInstaller
> > > Readinghttp://pypi.python.org/simple/P4PythonInstaller/
> > > Readinghttp://www.review-board.org/
> > > Found link:
> > >http://reviewboard.googlecode.com/svn/trunk/P4PythonInstaller#egg=P4P...
> > > Found link:
> > >http://reviewboard.googlecode.com/svn/trunk/P4PythonInstaller#egg=P4P...
> > > Best match:P4PythonInstaller0.2
> > > Downloading
> > >http://reviewboard.googlecode.com/svn/trunk/P4PythonInstaller#egg=P4P...
> > > Doing subversion checkout from
> > >http://reviewboard.googlecode.com/svn/trunk/P4PythonInstaller
> > > to /tmp/easy_install-RG35Yv/P4PythonInstaller
> > > svn: PROPFIND request failed on '/svn/trunk/P4PythonInstaller'
> > > svn: PROPFIND of '/svn/trunk/P4PythonInstaller': could not connect to
> > > server (http://reviewboard.googlecode.com)
> > > ProcessingP4PythonInstaller
> > > error: Couldn't find a setup script in /tmp/easy_install-RG35Yv/
> > >P4PythonInstaller
>
> > > It has been suggested that you need the latest version of setup tool,
> > > so I did
> > > # easy_install -U setuptools
> > > Searching for setuptools
> > > Readinghttp://pypi.python.org/simple/setuptools/
> > > Best match: setuptools 0.6c11
> > > Processing setuptools-0.6c11-py2.4.egg
> > > setuptools 0.6c11 is already the active version in easy-install.pth
> > > Installing easy_install script to /usr/bin
> > > Installing easy_install-2.4 script to /usr/bin
>
> > > Using /usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg
> > > Processing dependencies for setuptools
> > > Finished processing dependencies for setuptools
> > > #
>
> > > Any help?
>
> > > Thanks!
> > > Daniel
>
> > > --
> > > Want to help the Review Board project? Donate today at
> > >http://www.reviewboard.org/donate/
> > > Happy user? Let us know athttp://www.reviewboard.org/users/
> > > -~----------~----~----~----~------~----~------~--~---
> > > To unsubscribe from this group, send email to
> > > reviewboard+unsubscr...@googlegroups.com<reviewboard%2bunsubscr...@googlegroups.com>
> > > For more options, visit this group at
> > >http://groups.google.com/group/reviewboard?hl=en
>
> --
> Want to help the Review Board project? Donate today 
> athttp://www.reviewboard.org/donate/
> Happy user? Let us know athttp://www.reviewboard.org/users/
> -~----------~----~----~----~------~----~------~--~---
> To unsubscribe from this group, send email to 
> reviewboard+unsubscr...@googlegroups.com
> For more options, visit this group 
> athttp://groups.google.com/group/reviewboard?hl=en
>
> To unsubscribe from this group, send email to 
> reviewboard+unsubscribegooglegroups.com or reply to this email with the words 
> "REMOVE ME" as the subject.

-- 
Want to help the Review Board project? Donate today at 
http://www.reviewboard.org/donate/
Happy user? Let us know at http://www.reviewboard.org/users/
-~----------~----~----~----~------~----~------~--~---
To unsubscribe from this group, send email to 
reviewboard+unsubscr...@googlegroups.com
For more options, visit this group at 
http://groups.google.com/group/reviewboard?hl=en

To unsubscribe from this group, send email to 
reviewboard+unsubscribegooglegroups.com or reply to this email with the words 
"REMOVE ME" as the subject.

Reply via email to